Posts
List Posts
Retrieves a paginated list of posts for a specific entity. Excludes replies (only returns top-level posts).
Retrieves a paginated list of posts for a specific entity. Excludes replies (only returns top-level posts).
Query Parameters
since?string
entityType*string
Entity type to filter posts by (required)
entityId*string
Entity ID or handle to filter posts by (required)
includeTotal?string
Include total count in response. Consider omitting for subsequent page loads to improve performance.
expand?|||array<>
Expansion fields: "all" (full enrichment, default), "none" (IDs only), or comma-separated/repeated fields (files,reactions,owner,replies)
parentId?string
List replies to this post instead of root posts
cursor?string
Cursor for pagination
offset?|
Offset for pagination
limit?integer
Number of results to return (max 100)
Response Body
application/json
curl -X GET "https://example.com/v1/posts/list?entityType=task&entityId=string"{ "data": [ { "id": "string", "publicId": "string", "content": "string", "action": "string", "actionValue": "string", "entityId": "string", "entityType": "string", "createdAt": "2019-08-24T14:15:22Z", "updatedAt": "2019-08-24T14:15:22Z", "ownerId": "string", "parentId": "string", "isResolved": true, "sourceType": null, "sourceUrl": null, "sourceMetadata": {}, "entityTitle": "string", "entityUrl": "string", "postUrl": "string", "files": [ { "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08", "publicId": "string", "url": "http://example.com", "kind": "avatar", "visibility": "public", "name": "string", "contentType": "string", "size": 0, "width": 0, "height": 0, "status": "pending", "entityType": "post", "entityId": "string", "createdAt": "2019-08-24T14:15:22Z" } ], "reactions": [ { "id": "string", "postId": "string", "userId": "string", "reaction": "string" } ], "owner": { "id": "string", "name": "string", "email": "string", "username": "string" }, "replies": [ { "id": "string", "publicId": "string", "content": "string", "action": "string", "actionValue": "string", "entityId": "string", "entityType": "string", "createdAt": "2019-08-24T14:15:22Z", "updatedAt": "2019-08-24T14:15:22Z", "ownerId": "string", "parentId": "string", "isResolved": true, "sourceType": null, "sourceUrl": null, "sourceMetadata": {}, "entityTitle": "string", "entityUrl": "string", "postUrl": "string", "files": [ { "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08", "publicId": "string", "url": "http://example.com", "kind": "avatar", "visibility": "public", "name": "string", "contentType": "string", "size": 0, "width": 0, "height": 0, "status": "pending", "entityType": "post", "entityId": "string", "createdAt": "2019-08-24T14:15:22Z" } ], "reactions": [ { "id": "string", "postId": "string", "userId": "string", "reaction": "string" } ], "owner": { "id": "string", "name": "string", "email": "string", "username": "string" } } ], "repliesHasMore": true } ], "nextCursor": "string", "hasMore": true, "total": 0}